interface InsertData {
    row: number;
    col: number;
}
declare const _default: import('vue').DefineComponent<{}, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    close: () => any;
    insert: (payload: InsertData) => any;
}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{
    onClose?: (() => any) | undefined;
    onInsert?: ((payload: InsertData) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, HTMLDivElement>;
export default _default;
